Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.compiere.utils
Class DBUtils

    java.lang.Object
      org.compiere.utils.DBUtils

public class DBUtils
extends java.lang.Object

Field Summary
`private static org.compiere.util.CLogger` | `log`

Constructor Summary
`DBUtils()`

Method Summary
`static java.lang.String` | `amount2char(double amount, boolean upperCase)`
`static java.lang.String` | `amount2char(float amount, boolean upperCase)`
`static java.lang.String` | `amount2char(int amount, boolean upperCase)`
`static java.lang.String` | `amount2char(long amount, boolean upperCase)`
`static void` | `close(java.sql.ResultSet rs)`
`static void` | `close(java.sql.Statement st)`
`static java.sql.Connection` | `getConnection(java.lang.String db, java.lang.String user, java.lang.String password)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static org.compiere.util.CLogger log

Constructor Detail

### DBUtils

    public DBUtils()

Method Detail

### getConnection

    public static java.sql.Connection getConnection(java.lang.String db,
                                                    java.lang.String user,
                                                    java.lang.String password)
                                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### amount2char

    public static java.lang.String amount2char(int amount,
                                               boolean upperCase)

### amount2char

    public static java.lang.String amount2char(long amount,
                                               boolean upperCase)

### amount2char

    public static java.lang.String amount2char(float amount,
                                               boolean upperCase)

### amount2char

    public static java.lang.String amount2char(double amount,
                                               boolean upperCase)

### close

    public static void close(java.sql.ResultSet rs)

### close

    public static void close(java.sql.Statement st)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD